// priority: 999
function playerattack(event) {
    let player = event.source.player
    if (!player) return
    //tetra主手武器
    tetraplayerattack(event)
    //tetra主手最终计算增伤，把独立增伤改为基础乘法乘区
    mainhand_increased_damage(event)
    //活体剑刃附加伤害事件
    otherplayerattack_2(event)
    //所有effect效果，主手，盔甲，饰品
    all_effect_attack(event)
    //tetra饰品
    CuriosTetraPlayerAttack(event)
    //tetra盔甲攻击
    tetra_wear_event_attack(event)
    //tetra盔甲汇总增伤(也包括全身effect，懒得改了)
    tetra_wear_increased_damag(event)
    //玩家攻击仆从，造成的伤害为0
    otherplayerattack_3(event)
}

function playerhurt(event) {
    //主手tetra武器  受伤
    tetraplayerhurt(event)
    //tetra饰品  受伤
    curiostetraplayerhurt(event)
    //受伤时，tetra盔甲相关事件
    tetra_wear_event_1(event)
    //受伤时，tetra盔甲耐久减少，打磨值增加
    tetra_wear_event_2(event)
    //受伤时，插板相关事件
    tetra_wear_armorplate_event(event)
    //玩家受伤，适应相关事件
    tetra_wear_adapt(event)
    //适应减少受到的伤害效果实现
    adapt_hurt_effect(event)
}

function entityhurt(event) {
    //生物混沌boss传送cd增加
    born_in_chaos_boss_cd(event)
    //根据nbt增加造成的伤害
    attack_addition(event)
    let type = event.getSource().getType().toString();
    // event.entity.server.tell(type)
    //凋零半血召唤两只凋零骷髅
    wither_hurt_1(event)
    //凋零16格范围内有凋零骷髅，受到的伤害减少
    wither_hurt_2(event)
}

function other_target_change(event) {
    //凋零召唤凋零骷髅，阻止凋零骷髅攻击凋零
    owner_wither(event)
}

//取消友伤
function entity_hurt_cancle(event) {
    //仆从造成伤害事件
    pu_cong_gong_ji(event)
}
